| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XSValue::XSValue_Data Struct Reference

public data More...

List of all members.

## Public Attributes

DataType | f_datatype
union {
bool f_bool
char f_char
unsigned char f_uchar
short f_short
unsigned short f_ushort
int f_int
unsigned int f_uint
long f_long
unsigned long f_ulong
float f_float
double f_double
XMLCh * f_strVal
XMLByte * f_byteVal
struct decimal {
double f_dvalue
} f_decimal
struct datetime {
int f_year
int f_month
int f_day
int f_hour
int f_min
int f_second
double f_milisec
} f_datetime
struct doubletype {
double f_double
DoubleFloatType f_doubleEnum
} f_doubleType
struct floattype {
float f_float
DoubleFloatType f_floatEnum
} f_floatType
} | fValue

## Detailed Description

public data

## Member Data Documentation

DataType XSValue::XSValue_Data::f_datatype

bool XSValue::XSValue_Data::f_bool

char XSValue::XSValue_Data::f_char

unsigned char XSValue::XSValue_Data::f_uchar

short XSValue::XSValue_Data::f_short

unsigned short XSValue::XSValue_Data::f_ushort

int XSValue::XSValue_Data::f_int

unsigned int XSValue::XSValue_Data::f_uint

long XSValue::XSValue_Data::f_long

unsigned long XSValue::XSValue_Data::f_ulong

float XSValue::XSValue_Data::f_float

double XSValue::XSValue_Data::f_double

XMLCh* XSValue::XSValue_Data::f_strVal

XMLByte* XSValue::XSValue_Data::f_byteVal

double XSValue::XSValue_Data::f_dvalue

struct { ... } ::decimal XSValue::XSValue_Data::f_decimal

int XSValue::XSValue_Data::f_year

int XSValue::XSValue_Data::f_month

int XSValue::XSValue_Data::f_day

int XSValue::XSValue_Data::f_hour

int XSValue::XSValue_Data::f_min

int XSValue::XSValue_Data::f_second

double XSValue::XSValue_Data::f_milisec

struct { ... } ::datetime XSValue::XSValue_Data::f_datetime

DoubleFloatType XSValue::XSValue_Data::f_doubleEnum

struct { ... } ::doubletype XSValue::XSValue_Data::f_doubleType

DoubleFloatType XSValue::XSValue_Data::f_floatEnum

struct { ... } ::floattype XSValue::XSValue_Data::f_floatType

union { ... } XSValue::XSValue_Data::fValue

The documentation for this struct was generated from the following file:

- XSValue.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.